Index: fedd/abac-src/ttg/test/SAdmir.prop
===================================================================
--- fedd/abac-src/ttg/test/SAdmir.prop	(revision 8780cbecc6db2bdc2b9ef31eec6e5209ad3bff15)
+++ fedd/abac-src/ttg/test/SAdmir.prop	(revision 8780cbecc6db2bdc2b9ef31eec6e5209ad3bff15)
@@ -0,0 +1,188 @@
+subject = SAdmir
+
+update.1.location = remote
+
+update.2.location = local
+
+update.2.1.type = node
+update.2.1.name = SAdmir: SAdmir.getsSLocs <<-?- SAdmir
+update.2.1.nodeType = RoleTarget
+update.2.1.isRoot = True
+
+update.2.2.type = node
+update.2.2.nodeType = RoleTarget
+update.2.2.name = SAdmir: SAdmir.getsSLocs <<-?- SAdmir
+update.2.2.processing = unprocessed
+update.2.2.satisfied = Unknown
+
+update.2.3.type = node
+update.2.3.nodeType = RoleTarget
+update.2.3.name = SAdmir: SAdmir.getsSLocs <<-?- SAdmir
+update.2.3.processing = unprocessed
+update.2.3.satisfied = Unknown
+
+update.2.4.type = edge
+update.2.4.edgeType = Implication
+update.2.4.parentName = SAdmir: SAdmir.getsSLocs <<-?- SAdmir
+update.2.4.childName = SAdmir: SAdmir.friendlyUsr ^ SAdmir.needsSLocs <<-?- SAdmir
+update.2.4.childType = IntersectionTarget
+update.2.4.childProcessing = opponent
+
+update.2.5.type = node
+update.2.5.nodeType = IntersectionTarget
+update.2.5.name = SAdmir: SAdmir.friendlyUsr ^ SAdmir.needsSLocs <<-?- SAdmir
+update.2.5.processing = opponent
+update.2.5.satisfied = Unknown
+
+update.2.6.type = node
+update.2.6.nodeType = RoleTarget
+update.2.6.name = SAdmir: SAdmir.getsSLocs <<-?- SAdmir
+update.2.6.processing = opponent
+update.2.6.satisfied = Unknown
+
+update.2.7.type = node
+update.2.7.name = SAdmir: SAdmir.getsSLocs <<-?- SAdmir
+update.2.7.processing = verifier
+
+update.2.8.type = edge
+update.2.8.edgeType = Intersection
+update.2.8.parentName = SAdmir: SAdmir.friendlyUsr ^ SAdmir.needsSLocs <<-?- SAdmir
+update.2.8.childName = SAdmir: SAdmir.friendlyUsr <<-?- SAdmir
+update.2.8.childType = RoleTarget
+update.2.8.childProcessing = opponent
+
+update.2.9.type = node
+update.2.9.nodeType = RoleTarget
+update.2.9.name = SAdmir: SAdmir.friendlyUsr <<-?- SAdmir
+update.2.9.processing = opponent
+update.2.9.satisfied = Unknown
+
+update.2.10.type = edge
+update.2.10.edgeType = Intersection
+update.2.10.parentName = SAdmir: SAdmir.friendlyUsr ^ SAdmir.needsSLocs <<-?- SAdmir
+update.2.10.childName = SAdmir: SAdmir.needsSLocs <<-?- SAdmir
+update.2.10.childType = RoleTarget
+update.2.10.childProcessing = opponent
+
+update.2.11.type = node
+update.2.11.nodeType = RoleTarget
+update.2.11.name = SAdmir: SAdmir.needsSLocs <<-?- SAdmir
+update.2.11.processing = opponent
+update.2.11.satisfied = Unknown
+
+update.2.12.type = edge
+update.2.12.edgeType = Implication
+update.2.12.parentName = SAdmir: SAdmir.friendlyUsr <<-?- SAdmir
+update.2.12.childName = SAdmir: SAdmir.friendly.usr <<-?- SAdmir
+update.2.12.childType = LinkedRoleTarget
+update.2.12.childProcessing = opponent
+
+update.2.13.type = node
+update.2.13.nodeType = LinkedRoleTarget
+update.2.13.name = SAdmir: SAdmir.friendly.usr <<-?- SAdmir
+update.2.13.processing = opponent
+update.2.13.satisfied = Unknown
+
+update.2.14.type = node
+update.2.14.nodeType = RoleTarget
+update.2.14.name = SAdmir: SAdmir.friendlyUsr <<-?- SAdmir
+update.2.14.processing = opponent
+update.2.14.satisfied = Unknown
+
+update.2.15.type = node
+update.2.15.name = SAdmir: SAdmir.friendlyUsr <<-?- SAdmir
+update.2.15.processing = verifier
+
+update.2.16.type = edge
+update.2.16.edgeType = Implication
+update.2.16.parentName = SAdmir: SAdmir.needsSLocs <<-?- SAdmir
+update.2.16.childName = SAdmir: SAdmir.NRetTacCom.NRetTacUsr <<-?- SAdmir
+update.2.16.childType = LinkedRoleTarget
+update.2.16.childProcessing = opponent
+
+update.2.17.type = node
+update.2.17.nodeType = LinkedRoleTarget
+update.2.17.name = SAdmir: SAdmir.NRetTacCom.NRetTacUsr <<-?- SAdmir
+update.2.17.processing = opponent
+update.2.17.satisfied = Unknown
+
+update.2.18.type = node
+update.2.18.nodeType = RoleTarget
+update.2.18.name = SAdmir: SAdmir.needsSLocs <<-?- SAdmir
+update.2.18.processing = opponent
+update.2.18.satisfied = Unknown
+
+update.2.19.type = node
+update.2.19.name = SAdmir: SAdmir.needsSLocs <<-?- SAdmir
+update.2.19.processing = verifier
+
+update.2.20.type = edge
+update.2.20.edgeType = Implication
+update.2.20.parentName = SAdmir: SAdmir.friendly.usr <<-?- SAdmir
+update.2.20.childName = SAdmir: US.usr <<-?- SAdmir
+update.2.20.childType = RoleTarget
+update.2.20.childProcessing = verifier
+
+update.2.21.type = node
+update.2.21.nodeType = RoleTarget
+update.2.21.name = SAdmir: US.usr <<-?- SAdmir
+update.2.21.processing = verifier
+update.2.21.satisfied = Unknown
+
+update.2.22.type = node
+update.2.22.nodeType = LinkedRoleTarget
+update.2.22.name = SAdmir: SAdmir.friendly.usr <<-?- SAdmir
+update.2.22.processing = opponent
+update.2.22.satisfied = Unknown
+
+update.2.23.type = node
+update.2.23.name = SAdmir: SAdmir.friendly.usr <<-?- SAdmir
+update.2.23.processing = verifier
+
+update.2.24.type = edge
+update.2.24.edgeType = LinkingMonitor
+update.2.24.parentName = SAdmir: SAdmir.NRetTacCom.NRetTacUsr <<-?- SAdmir
+update.2.24.childName = SAdmir: ?X.NRetTacUsr <<-?- SAdmir
+update.2.24.childType = LinkingGoal
+update.2.24.childProcessing = verifier
+
+update.2.25.type = node
+update.2.25.nodeType = LinkingGoal
+update.2.25.name = SAdmir: ?X.NRetTacUsr <<-?- SAdmir
+update.2.25.processing = verifier
+update.2.25.satisfied = Incomplete
+
+update.2.26.type = node
+update.2.26.nodeType = RoleTarget
+update.2.26.name = SAdmir: US.usr <<-?- SAdmir
+update.2.26.processing = fully
+update.2.26.satisfied = Failed
+
+update.2.27.type = node
+update.2.27.nodeType = LinkedRoleTarget
+update.2.27.name = SAdmir: SAdmir.friendly.usr <<-?- SAdmir
+update.2.27.processing = fully
+update.2.27.satisfied = Failed
+
+update.2.28.type = node
+update.2.28.nodeType = RoleTarget
+update.2.28.name = SAdmir: SAdmir.friendlyUsr <<-?- SAdmir
+update.2.28.processing = fully
+update.2.28.satisfied = Failed
+
+update.2.29.type = node
+update.2.29.nodeType = IntersectionTarget
+update.2.29.name = SAdmir: SAdmir.friendlyUsr ^ SAdmir.needsSLocs <<-?- SAdmir
+update.2.29.processing = opponent
+update.2.29.satisfied = Failed
+
+update.2.30.type = node
+update.2.30.nodeType = RoleTarget
+update.2.30.name = SAdmir: SAdmir.getsSLocs <<-?- SAdmir
+update.2.30.processing = fully
+update.2.30.satisfied = Failed
+
+update.2.31.type = node
+update.2.31.name = SAdmir: US.usr <<-?- SAdmir
+update.2.31.processing = opponent
+
